import NumberPicker from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const intlize = val => Intl.NumberFormat('en-US').format(val);
ReactDOM.render(React.createElement("div", null,
    React.createElement(NumberPicker, { format: intlize, defaultValue: 5000 }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(NumberPicker
    // @ts-ignore
    , { 
        // @ts-ignore
        label: "p:", format: val => `${val}%`, defaultValue: 85 }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(NumberPicker, { innerAfter: "%" })), document.getElementById('number-picker-demo-8'));
